#!/bin/zsh

#Ask the user to enter the root dimension for the scaling
echo Please enter root dimension in pixels

#Calculate the different scales
read rootDimension
oneTimes=$(($rootDimension/2))
halfTimes=$(($rootDimension/4))

#Ask the user to enter the quality level they require
echo Please enter the desired quality expressed as a percentage

read quality

#Loop through each file in the folder and create a Webp image at the different scales
for f in $1/*.*
	do
		fileType=$(file -b $f)
		if [[ $fileType == 'PNG'* ]] || [[ $fileType == 'JPEG'* ]];
		then
			fileName=${f%.*}
			cwebp -q $quality -resize $rootDimension 0 -af -sharp_yuv -metadata icc $f -o "$fileName-2x.webp"
			cwebp -q $quality -resize $oneTimes 0 -af -sharp_yuv -metadata icc $f -o "$fileName-1x.webp"
			cwebp -q $quality -resize $halfTimes 0 -af -sharp_yuv -metadata icc $f -o "$fileName-0.5x.webp"
		else
			echo Incompatible file found. Skipping.
		fi
	done